Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.util
Class PersistentSet

    java.lang.Object
      org.ensembl.util.PersistentSet

All Implemented Interfaces:
  java.util.Collection, java.io.Serializable

public class PersistentSet
extends java.lang.Object
implements java.util.Collection, java.io.Serializable

Manages a set of persistent objects.

Author:
  Craig Melsopp
See Also:
  Serialized Form

Constructor Summary
`PersistentSet()`

Method Summary
`boolean` | `add(java.lang.Object o)`
`boolean` | `add(Persistent persistent)`
`boolean` | `addAll(java.util.Collection c)`
`void` | `clear()`
`boolean` | `contains(java.lang.Object o)`
`boolean` | `containsAll(java.util.Collection c)`
`boolean` | `isEmpty()`
`java.util.Iterator` | `iterator()`
`boolean` | `remove(java.lang.Object o)`
`boolean` | `removeAll(java.util.Collection c)`
`boolean` | `retainAll(java.util.Collection c)`
`int` | `size()`
`java.lang.Object[]` | `toArray()`
`java.lang.Object[]` | `toArray(java.lang.Object[] a)`
`java.util.List` | `toList()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`equals, hashCode`

Constructor Detail

### PersistentSet

    public PersistentSet()

Method Detail

### add

    public boolean add(Persistent persistent)

### toList

    public java.util.List toList()

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection`
  See Also:
    `Collection.size()`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection`
  See Also:
    `Collection.clear()`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Collection`
  See Also:
    `Collection.isEmpty()`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `java.util.Collection`
  See Also:
    `Collection.toArray()`

### add

    public boolean add(java.lang.Object o)

  Specified by:
    `add` in interface `java.util.Collection`
  See Also:
    `Collection.add(java.lang.Object)`

### contains

    public boolean contains(java.lang.Object o)

  Specified by:
    `contains` in interface `java.util.Collection`
  See Also:
    `Collection.contains(java.lang.Object)`

### remove

    public boolean remove(java.lang.Object o)

  Specified by:
    `remove` in interface `java.util.Collection`
  See Also:
    `Collection.remove(java.lang.Object)`

### addAll

    public boolean addAll(java.util.Collection c)

  Specified by:
    `addAll` in interface `java.util.Collection`
  See Also:
    `Collection.addAll(java.util.Collection)`

### containsAll

    public boolean containsAll(java.util.Collection c)

  Specified by:
    `containsAll` in interface `java.util.Collection`
  See Also:
    `Collection.containsAll(java.util.Collection)`

### removeAll

    public boolean removeAll(java.util.Collection c)

  Specified by:
    `removeAll` in interface `java.util.Collection`
  See Also:
    `Collection.removeAll(java.util.Collection)`

### retainAll

    public boolean retainAll(java.util.Collection c)

  Specified by:
    `retainAll` in interface `java.util.Collection`
  See Also:
    `Collection.retainAll(java.util.Collection)`

### iterator

    public java.util.Iterator iterator()

  Specified by:
    `iterator` in interface `java.util.Collection`
  See Also:
    `Collection.iterator()`

### toArray

    public java.lang.Object[] toArray(java.lang.Object[] a)

  Specified by:
    `toArray` in interface `java.util.Collection`
  See Also:
    `Collection.toArray(java.lang.Object[])`

### toString

    public java.lang.String toString()

  Returns:
    list of zero or more comma separated values.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD